MWParserInternal::State Struct Reference

Internal: the state of a MWParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

std::string | m_compressCorr
| the correspondance between int compressed and char : must be 15 character More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
FileHeader | m_fileHeader
| the header More...
WindowsInfo | m_windows [3]
| the information of main document, header, footer More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a MWParser.

## Constructor & Destructor Documentation

MWParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int MWParserInternal::State::m_actPage

the actual page

std::string MWParserInternal::State::m_compressCorr

the correspondance between int compressed and char : must be 15 character

FileHeader MWParserInternal::State::m_fileHeader

the header

int MWParserInternal::State::m_footerHeight

the footer height if known

int MWParserInternal::State::m_headerHeight

the header height if known

int MWParserInternal::State::m_numPages

the number of page of the final document

WindowsInfo MWParserInternal::State::m_windows[3]

the information of main document, header, footer

The documentation for this struct was generated from the following file:

- MWParser.cxx